changeset 0:b8fca1c0f503

intial commit
author anatofuz
date Sat, 03 Nov 2018 22:49:27 +0900
parents
children b743d32b9363
files check-cbc-nqp-test.sh check-nqp-test.sh debug-moar.sh dotest
diffstat 4 files changed, 41 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/check-cbc-nqp-test.sh	Sat Nov 03 22:49:27 2018 +0900
@@ -0,0 +1,6 @@
+# $ cbc-tools/.sh *.t.moar
+if  [ $# -ne 1 ]; then
+	echo 'Usage: $cbc-tools/this.sh *.t.moar'
+	exit 1
+fi
+../MoarVM/moar --libpath=/mnt/dalmore-home/one/src/MoarVM_Original/nqp/gen/moar/stage2 $1
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/check-nqp-test.sh	Sat Nov 03 22:49:27 2018 +0900
@@ -0,0 +1,9 @@
+# $ cbc-tools/.sh *.t.moar
+ORIGINAL_MOAR="/mnt/dalmore-home/one/src/MoarVM_Original/MoarVM/moar"
+ORIGINAL_NQP="/mnt/dalmore-home/one/src/MoarVM_Original/nqp"
+
+if  [ $# -ne 1 ]; then
+	echo 'Usage: $cbc-tools/this.sh *.t.moar'
+	exit 1
+fi
+${ORIGINAL_MOAR} --libpath=${ORIGINAL_NQP}/gen/moar/stage2 $1
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debug-moar.sh	Sat Nov 03 22:49:27 2018 +0900
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+TARGET_MOAR="../MoarVM/moar"
+LIBPATH="/mnt/dalmore-home/one/src/MoarVM_Original/nqp/gen/moar/stage2"
+
+if [ $# -ne 1 ]; then
+   echo "cbc-tools/this.sh vmtest/src/001-.t.moar"
+   exit 1
+fi
+
+TARGET=$1
+
+gdb --args ${TARGET_MOAR} --libpath=${LIBPATH} ${TARGET}
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dotest	Sat Nov 03 22:49:27 2018 +0900
@@ -0,0 +1,13 @@
+#!/bin/zsh
+if [ $# -ne 1 ]; then
+	echo 'useage:) $cbc-tools/this.sh vmtest/nqp'
+	exit 1
+fi
+
+NQP_ORIGINAL="/mnt/dalmore-home/one/src/MoarVM_Original/nqp"
+TARGET_DIR=$1
+
+foreach testmoar (${TARGET_DIR}/*.moarvm)
+	echo $testmoar
+        ../MoarVM/moar --libpath=${NQP_ORIGINAL}/gen/moar/stage2 $testmoar
+end